Subject: Smail 3.1.28 with Bind + security patch @sunsite.unc.edu
From: [email-masked] (Unix System Manager)
Date: Mon, 24 Oct 1994 18:04:38 GMT
Newsgroups: comp.os.linux.announce

Begin2
Title        = smail-3.1.28.bind.tar.gz
Version      =
Desc1        = This is a distribution of smail-3.1.28 for linux.  I
Desc2        = believe this port of smail is more complete than those 
Desc3        = already available, dbm and locking are included. Bind
Desc4        = resolver to support MX record is compiled in with Security  
Desc5        = patch. Config files for linux are here, and a complete binary
Desc6        = installation. Plse read the quick start and FAQ file
Desc7        = INSTALL.TXT.          
Author       = Ronald S. Karr
AuthorEmail  = [email-masked]
Maintainer   = Wesley Chew
MaintEmail   = [email-masked]
Site1        = sunsite.unc.edu
Path1        = pub/Linux/system/Mail
File1        = smail-3.1.28.bind.tar.gz
FileSize1    =
Site2        = 
Path2        = 
File2        = 
FileSize2    =
Site3        =
Path3        =
File3        =
FileSize3    =
Site4        =
Path4        =
File4        =
FileSize4    =
Required1    =
Required2    =
Required3    =
Required4    =
CopyPolicy1  =
CopyPolicy2  =
Keywords     = mail, smail
Comment1     =
Comment2     =
Comment3     =
Comment4     =
RelFiles1    =
RelFiles2    =
RelFiles3    =
Entered      =
EnteredBy    =
CheckedEmail =
End

INSTALL.TXT
----------- 

Quick-Start Installation Guide for Smail 3.1.28  BIND version
-------------------------------------------------------------

1. This package contained both source and compiled bin for Smail 3.1.28.
   I've compiled this version with BIND option and security bugs fix that 
   came directly from the author of Smail - Ronald S. Karr (aka Tron!)
   for Linux users connecting their machine to the Internet. Without Tron's
   excellent respond and README file, I will be still wondering have all
   my mails to @aol.com  @eworld.com etc. (MX record host) gone south?

2. To use of the can bin I've compiled, do this :
   make install
   make installman
   goto step 4.

3. To build the package all over again, do this:
   make -k depend
   make -k

4. Copy the config,router and transport files to their respective directory.
   Do this:
   
   cp <your_smail_dir>/samples/generic/routers    /usr/lib/smail/.
   cp <your_smail_dir>/samples/generic/transport  /usr/lib/smail/.
   cp <your_smail_dir>/samples/generic/config     /var/lib/smail/.

5. Edit the /var/lib/smail/config file and change the following variables
   to reflect your domain.
   
   Example using the classic foobar.com domain :)
   -------------------------------------------	
   hostname=foo.foobar.com:foobar.com            
   visible_domain=foobar.com
   more_hostnames=mai.foobar.com
   
6. To run your Smail as deamon, modify your /etc/rc.d/rc.local. Add the
   following line :-

   #/etc/rc.d/rc.local
   # Smail 3.1.28 
   echo Running Smail 3.1.28......
   /usr/lib/sendmail -bd -q20m

7. You can either reboot your Linux box or manually start Smail from
   command promt :-
   
   /usr/lib/sendmail -bd -q20m
   
   To verify Smail is up and running :-
   
   ps -a

8. Finally, test your Smail. If you have elm running :-

   elm -s "Hello Bill" [email-masked] < /var/lib/smail/config
   
9. Have fun and good luck. 

10. If you have any comments or suggestion, please send them to
    [email-masked] or [email-masked]
    ^^^^^^^^^^^^    ^^^^^^^^^^^^

Wesley Chew
10.22.94

A Short Smail FAQ...
--------------------

Q1. Why is the default Smail that comes with Slackware not sending
    my mails to @aol.com, @eworld.com  etc.

A1. The Smail bin that comes with Slackware 2.0 is compiled to use
    the gethostbyname() library which does not support MX records.
    This version is compiled using the BIND resolver library which
    support MX records.

Q2. Where can I find documentation for Smail ?

A2. The short documentation comes with Smail is located in /guide/admin.
    I've included the Excellent <guide.admin.ps - postscript format> written 
    by Tron in the /Smail-3.1.28/guide.admin.ps in this Smail packaged. 
    The README and /config/editme contain important information about running
    Smail on the Internet. Before you start pulling your hairs, read the DOC :)

Q3. My Linux machine is named <linus> and my domain is <foobar.com>, how 
    do I configure my DNS and Smail to use Email address of
    <[email-masked]> instead of <[email-masked]> ?

A3.  Edit your DNS database, namely /var/named/named.hosts to include :-

     ;MX record for foobar.com
     ;------------------------
     foobar.com.     IN    MX  10 linus.foobar.com
     *.foobar.com.   IN	   MX  10 linus.foorbar.com
                     IN	   MX  20 tron.foobar.com
		
     And in your /var/lib/smail/config file, add this ...
     hostname=linus.foobar.com:foobar.com   
                              ^^^^^^^^^^^
Q4. How do I know if my mails are send or not and where's the audit log?

A4. Smail maintain a complete audit log of mail transaction. They are
    located in :-

    /var/spool/smail/log/logfile      ## audit log of Smail transaction
    /var/spool/smail/log/paniclog     ## panic log
    /var/spool/smail/error/*          ## contain all error mails
    /var/spool/smail/input/*          ## contain all pending outgoing mail

Q5. How can I force Smail to send all pending mails log in the
    /var/spool/smail/input directory ?

A5. If you have follow step 7. of the above quick start quide, Smail will
    by default do a batch run every 20 mins 
    
    /usr/lib/sendmail -bd -q20m

    To manually do a mail run, do this :
    
    /usr/bin/mailq                   ## display all pending mail in queue
    /usr/bin/runq                    ## do a force mail run

Q7. How can I have some fun with Smail ?
 
A7. If you free and have nothing better to do, try this :
 
    telnet hp.com smtp
    HELO there
    HELP
    QUIT

Q6. Why is this FAQ so short ?

A6. That's all the question I ask initially and Smail is an Excellent 
    easy to use and yet powerfull mail delivery agent. It sure beats
    the hack out of figuring out how to write/generate a sendmail.cf and
    not to mention the .m4 macros :)

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.